try:
    from apex.amp import float_function, half_function, promote_function
except ImportError as e:
    def float_function(fn):
        return fn


    def half_function(fn):
        return fn


    def promote_function(fn):
        return fn
